'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var usePoolContracts = require('./lib/hooks/usePoolContracts.js');
var usePool = require('./lib/hooks/usePool.js');
var getPodContractAddresses$1 = require('./lib/contractAddresses/getPodContractAddresses.js');
var getDefaultPoolAddresses = require('./lib/utils/getDefaultPoolAddresses.js');
var infura = require('./lib/utils/infura.js');
var quickNode = require('./lib/utils/quickNode.js');
var fetch = require('./lib/utils/fetch.js');

async function getPool(chainId, poolAddress) {
  const pool = await usePool.usePoolByAddress(chainId, poolAddress);
  return pool;
} // TODO: Accept a list of addresses
// Currently used to fetch and populate the KV for all of the pools

async function getPools(chainId) {
  const poolContracts = usePoolContracts.usePoolContracts(chainId);
  const pools = await usePool.usePools(chainId, poolContracts);
  return pools;
}
async function getPodContractAddresses(chainId, podAddress) {
  return await getPodContractAddresses$1.getPodContractAddresses(chainId, podAddress);
}

exports.getDefaultPoolAddresses = getDefaultPoolAddresses.getDefaultPoolAddresses;
Object.defineProperty(exports, 'INFURA_ID', {
  enumerable: true,
  get: function () {
    return infura.INFURA_ID;
  }
});
exports.setInfuraId = infura.setInfuraId;
Object.defineProperty(exports, 'QUICKNODE_ID', {
  enumerable: true,
  get: function () {
    return quickNode.QUICKNODE_ID;
  }
});
exports.setQuicknodeId = quickNode.setQuicknodeId;
Object.defineProperty(exports, 'fetch', {
  enumerable: true,
  get: function () {
    return fetch.fetch;
  }
});
exports.setFetch = fetch.setFetch;
exports.getPodContractAddresses = getPodContractAddresses;
exports.getPool = getPool;
exports.getPools = getPools;
