'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var usePoolContracts = require('./lib/hooks/usePoolContracts.js');
var usePool = require('./lib/hooks/usePool.js');
var getPodContractAddresses$1 = require('./lib/contractAddresses/getPodContractAddresses.js');
var getDefaultPoolAddresses = require('./lib/utils/getDefaultPoolAddresses.js');

async function getPool(chainId, poolAddress) {
  const pool = await usePool.usePoolByAddress(chainId, poolAddress);
  return pool;
} // TODO: Accept a list of addresses
// Currently used to fetch and populate the KV for all of the pools

async function getPools(chainId) {
  const poolContracts = usePoolContracts.usePoolContracts(chainId);
  const pools = await usePool.usePools(chainId, poolContracts);
  return pools;
}
async function getPodContractAddresses(chainId, podAddress) {
  return await getPodContractAddresses$1.getPodContractAddresses(chainId, podAddress);
}
exports.INFURA_ID = null;
const setInfuraId = id => exports.INFURA_ID = id;
exports.QUICKNODE_ID = null;
const setQuicknodeId = id => exports.QUICKNODE_ID = id;

const nodeFetch = require('node-fetch');

exports.fetch = nodeFetch.default;
const setFetch = _fetch => {
  exports.fetch = _fetch.bind();
};

exports.getDefaultPoolAddresses = getDefaultPoolAddresses.getDefaultPoolAddresses;
exports.getPodContractAddresses = getPodContractAddresses;
exports.getPool = getPool;
exports.getPools = getPools;
exports.setFetch = setFetch;
exports.setInfuraId = setInfuraId;
exports.setQuicknodeId = setQuicknodeId;
