'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var usePoolContracts = require('./usePoolContracts.js');
var getPools = require('../fetchers/getPools.js');

/**
 *
 * @param {*} poolAddress
 * @returns
 */

const usePoolByAddress = async (chainId, poolAddress) => {
  const poolContract = await usePoolContracts.usePoolContract(chainId, poolAddress);
  return await usePool(chainId, poolContract);
};
/**
 *
 * @param {*} label
 * @returns
 */

const usePool = async (chainId, poolContract) => {
  const usePoolData = await usePools(chainId, [poolContract]);
  return usePoolData === null || usePoolData === void 0 ? void 0 : usePoolData[0];
};
/**
 *
 * @param {*} poolContracts
 * @returns
 */


const usePools = async (chainId, poolContracts) => {
  const contracts = poolContracts.filter(Boolean);
  const pools = await getPools.getPools(chainId, contracts);
  return pools;
};

exports.usePoolByAddress = usePoolByAddress;
exports.usePools = usePools;
